#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.8
visibility:           public
id:                   hOpenPGP-2.9.8-BixoAv3Sems7HaYZF2pj2F
key:                  hOpenPGP-2.9.8-BixoAv3Sems7HaYZF2pj2F
license:              MIT
copyright:            2012-2022  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  91a0b2f2af3d0592f3b050f587bbf5d2
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hOpenPGP-2.9.8
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hOpenPGP-2.9.8
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hopenpgp
hs-libraries:         HShOpenPGP-2.9.8-BixoAv3Sems7HaYZF2pj2F
depends:
    aeson-2.1.2.1-2OMbY7JPF0J3MoL9ojqeUU
    asn1-encoding-0.9.6-HZuUh90eU3v2o0yiuatnGR
    attoparsec-0.14.4-4TYzWI7gKmZ2TJS0tW1u7Q base-4.15.1.0
    base16-bytestring-1.0.2.0-FO4uYOZBv783BbExK26Xj2
    bifunctors-5.6-Ax9gxIVLFvu8jd1WKKdIH4 binary-0.8.8.0
    binary-conduit-1.3.1-BpcWo27n60nHsYC4w2yOaF bytestring-0.10.12.1
    bz2-1.0.1.0-J7DUO7PfJpoKrZvmWPleSG
    conduit-1.3.5-BMh3iHHTI0gHt0Dylehz6l
    conduit-extra-1.3.6-Ld5uu9rG7X59IRg7xK26Xx containers-0.6.4.1
    crypto-cipher-types-0.0.9-KWjc9vfsgOg2zA2BroK1gz
    cryptonite-0.30-4dmvWs2I7PfFlSuI47JTFr
    errors-2.3.0-F4rUJSCR8jkHhnELGOml9T
    hashable-1.4.3.0-FviSDMTOEDP4a4xPfq9DNL
    incremental-parser-0.5.0.5-D1un3L4iw0pJgWcGF6pJV4
    ixset-typed-0.5.1.0-7dny7orvFYu8OFPHgh5Aex
    lens-5.2.3-KeZeMUPid9u5uuLXgSpPNR
    memory-0.17.0-Ba80JGdi30PBt5EgUiQ1Tu
    monad-loops-0.4.3-C4VZ1LczQKA9hVl8DS9fX
    nettle-0.3.0-LbmEnjElACaEeKkV4b48A9
    network-uri-2.6.4.2-3gMYbGQJlUc8IDbI9FdqX8
    openpgp-asciiarmor-0.1.2-CM2zqteAOS6BdxoKyvuwfB
    prettyprinter-1.7.1-I9kDz56XpFR6GUnk7eyT1i
    resourcet-1.2.6-AxGnFNcJUU7HubtKqXQpkz
    split-0.2.4-KJJG4gcgxx1CO3VlusxzdW text-1.2.5.0 time-1.9.3
    time-locale-compat-0.1.1.5-1snbmhWP0619voIlJd9qOd
    transformers-0.5.6.2 unliftio-core-0.2.1.0-AJ3ipHGgln87h2Y2hfrpJj
    unordered-containers-0.2.19.1-8KEpYsQ9zGXBRjdYU1dM21
    zlib-0.6.3.0-HRnvhmA6g6HC1r2WpQjiYz

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

